gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated (2805018d -> 4cf70435)


From: gnunet
Subject: [taler-exchange] branch master updated (2805018d -> 4cf70435)
Date: Thu, 30 Jun 2022 09:35:09 +0200

This is an automated email from the git hooks/post-receive script.

ttn pushed a change to branch master
in repository exchange.

    from 2805018d -reduce logging
     new f3770761 refactor slightly
     new 4cf70435 fix portability bug: make sure destination file is writeable

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 contrib/gana-update.sh | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/contrib/gana-update.sh b/contrib/gana-update.sh
index 12198027..b20bbaa1 100755
--- a/contrib/gana-update.sh
+++ b/contrib/gana-update.sh
@@ -17,13 +17,14 @@ ensure ()
     # $2 -- src dir under contrib/
     # $3 -- dst dir under ./
     fn="$1"
-    src="contrib/$2"
-    dst="./$3"
+    src="contrib/$2/$fn"
+    dst="./$3/$fn"
 
-    if ! diff $src/$fn $dst/$fn > /dev/null
+    if ! diff $src $dst > /dev/null
     then
-        cp $src/$fn $dst/$fn
-        chmod -w $dst/$fn
+        test ! -f $dst || chmod +w $dst
+        cp $src $dst
+        chmod -w $dst
     fi
 }
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]